SettableIntFieldProperty (Jackson module: Afterburner 2.8.0 API)
Date: 2016-07-04

com.fasterxml.jackson.module.afterburner.deser

## Class SettableIntFieldProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase
  - - com.fasterxml.jackson.databind.deser.SettableBeanProperty
    - - com.fasterxml.jackson.module.afterburner.deser.SettableIntFieldProperty

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.BeanProperty, com.fasterxml.jackson.databind.util.Named, Serializable

      public final class SettableIntFieldProperty
      extends com.fasterxml.jackson.databind.deser.SettableBeanProperty

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `com.fasterxml.jackson.databind.BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_optimizedIndex`
    `protected com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `_originalSettable` We will need to keep the original instance handy as some calls are best just delegated
    `protected BeanPropertyMutator` | `_propertyMutator`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty

      `_contextAnnotations, _managedReferenceName, _objectIdInfo, _propertyIndex, _propName, _type, _valueDeserializer, _valueTypeDeserializer, _viewMatcher, _wrapperName, MISSING_VALUE_DESERIALIZER`

    - ### Fields inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

      `_metadata, _propertyFormat`

    - ### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `EMPTY_FORMAT, EMPTY_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettableIntFieldProperty(com.fasterxml.jackson.databind.deser.SettableBeanProperty src, BeanPropertyMutator mutator, int index)`
    `SettableIntFieldProperty(SettableIntFieldProperty src, com.fasterxml.jackson.databind.JsonDeserializer<?> deser)`
    `SettableIntFieldProperty(SettableIntFieldProperty src, com.fasterxml.jackson.databind.PropertyName name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `_deserializeBoolean(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `protected boolean` | `_deserializeBooleanFromOther(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `protected int` | `_deserializeInt(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `protected long` | `_deserializeLong(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `protected short` | `_deserializeShort(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `protected String` | `_deserializeString(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `protected void` | `_failDoubleToIntCoercion(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, String type)`
    `protected boolean` | `_hasTextualNull(String value)`
    `protected boolean` | `_isDefaultDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)` Helper method used to check whether given serializer is the default serializer implementation: this is necessary to avoid overriding other kinds of deserializers.
    `void` | `deserializeAndSet(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object bean)`
    `Object` | `deserializeSetAndReturn(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object instance)`
    `<A extends Annotation> A` | `getAnnotation(Class<A> ann)`
    `com.fasterxml.jackson.databind.introspect.AnnotatedMember` | `getMember()`
    `int` | `getOptimizedIndex()`
    `com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `getOriginalProperty()`
    `void` | `set(Object bean, Object value)`
    `Object` | `setAndReturn(Object instance, Object value)`
    `com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `withMutator(BeanPropertyMutator mut)`
    `com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `withName(com.fasterxml.jackson.databind.PropertyName name)`
    `com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `withValueDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty

      `_throwAsIOE, _throwAsIOE, _throwAsIOE, _throwAsIOE, assignIndex, depositSchemaProperty, deserialize, getContextAnnotation, getCreatorIndex, getDeclaringClass, getFullName, getInjectableValueId, getManagedReferenceName, getName, getObjectIdInfo, getPropertyIndex, getType, getValueDeserializer, getValueTypeDeserializer, getWrapperName, hasValueDeserializer, hasValueTypeDeserializer, hasViews, setManagedReferenceName, setObjectIdInfo, setViews, toString, visibleInView, withName, withSimpleName`

    - ### Methods inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

      `findFormatOverrides, findPropertyFormat, findPropertyInclusion, getMetadata, isRequired, isVirtual`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _originalSettable

          protected final com.fasterxml.jackson.databind.deser.SettableBeanProperty _originalSettable

      We will need to keep the original instance handy as some calls are best just delegated

    - #### _propertyMutator

          protected final BeanPropertyMutator _propertyMutator

    - #### _optimizedIndex

          protected final int _optimizedIndex

  - ### Constructor Detail

    - #### SettableIntFieldProperty

          public SettableIntFieldProperty(com.fasterxml.jackson.databind.deser.SettableBeanProperty src,
                                  BeanPropertyMutator mutator,
                                  int index)

    - #### SettableIntFieldProperty

          public SettableIntFieldProperty(SettableIntFieldProperty src,
                                  com.fasterxml.jackson.databind.JsonDeserializer<?> deser)

    - #### SettableIntFieldProperty

          public SettableIntFieldProperty(SettableIntFieldProperty src,
                                  com.fasterxml.jackson.databind.PropertyName name)

  - ### Method Detail

    - #### withName

          public com.fasterxml.jackson.databind.deser.SettableBeanProperty withName(com.fasterxml.jackson.databind.PropertyName name)

      Specified by:
        `withName` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`

    - #### withValueDeserializer

          public com.fasterxml.jackson.databind.deser.SettableBeanProperty withValueDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)

    - #### withMutator

          public com.fasterxml.jackson.databind.deser.SettableBeanProperty withMutator(BeanPropertyMutator mut)

    - #### deserializeAndSet

          public void deserializeAndSet(com.fasterxml.jackson.core.JsonParser p,
                               com.fasterxml.jackson.databind.DeserializationContext ctxt,
                               Object bean)
                                 throws IOException

      Throws:
        `IOException`

    - #### set

          public void set(Object bean,
                 Object value)
                   throws IOException

      Throws:
        `IOException`

    - #### deserializeSetAndReturn

          public Object deserializeSetAndReturn(com.fasterxml.jackson.core.JsonParser p,
                                       com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                       Object instance)
                                         throws IOException

      Throws:
        `IOException`

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> ann)

      Specified by:
        `getAnnotation` in interface `com.fasterxml.jackson.databind.BeanProperty`
      Specified by:
        `getAnnotation` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`

    - #### getMember

          public com.fasterxml.jackson.databind.introspect.AnnotatedMember getMember()

      Specified by:
        `getMember` in interface `com.fasterxml.jackson.databind.BeanProperty`
      Specified by:
        `getMember` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`

    - #### setAndReturn

          public Object setAndReturn(Object instance,
                            Object value)
                              throws IOException

      Specified by:
        `setAndReturn` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`
      Throws:
        `IOException`

    - #### getOriginalProperty

          public com.fasterxml.jackson.databind.deser.SettableBeanProperty getOriginalProperty()

    - #### getOptimizedIndex

          public int getOptimizedIndex()

    - #### _deserializeBoolean

          protected final boolean _deserializeBoolean(com.fasterxml.jackson.core.JsonParser p,
                                    com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                               throws IOException

      Throws:
        `IOException`

    - #### _deserializeShort

          protected final short _deserializeShort(com.fasterxml.jackson.core.JsonParser jp,
                                com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                           throws IOException

      Throws:
        `IOException`

    - #### _deserializeInt

          protected final int _deserializeInt(com.fasterxml.jackson.core.JsonParser p,
                            com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                       throws IOException

      Throws:
        `IOException`

    - #### _deserializeLong

          protected final long _deserializeLong(com.fasterxml.jackson.core.JsonParser p,
                              com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                         throws IOException

      Throws:
        `IOException`

    - #### _deserializeString

          protected final String _deserializeString(com.fasterxml.jackson.core.JsonParser p,
                                  com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                             throws IOException

      Throws:
        `IOException`

    - #### _deserializeBooleanFromOther

          protected final boolean _deserializeBooleanFromOther(com.fasterxml.jackson.core.JsonParser p,
                                             com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                                        throws IOException

      Throws:
        `IOException`

    - #### _failDoubleToIntCoercion

          protected void _failDoubleToIntCoercion(com.fasterxml.jackson.core.JsonParser p,
                                      com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                      String type)
                                           throws IOException

      Throws:
        `IOException`

    - #### _hasTextualNull

          protected boolean _hasTextualNull(String value)

    - #### _isDefaultDeserializer

          protected boolean _isDefaultDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)

      Helper method used to check whether given serializer is the default serializer implementation: this is necessary to avoid overriding other kinds of deserializers.

Copyright © 2016 FasterXML. All rights reserved.